Bug 23864 - Crash von policykit1-kde direkt nach dem Login
Crash von policykit1-kde direkt nach dem Login
Status: CLOSED FIXED
Product: Univention Corporate Desktop (superseded)
Classification: Unclassified
Component: KDE desktop
UCS 3.0
Other Linux
: P5 normal (vote)
: UCS 3.0 - RC
Assigned To: Florian Best
Murat Odabas
:
Depends on:
Blocks: 25368
  Show dependency treegraph
 
Reported: 2011-09-29 15:28 CEST by Sönke Schwardt-Krummrich
Modified: 2014-07-18 08:36 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments
Screenshot (171.20 KB, image/png)
2011-09-29 15:28 CEST, Sönke Schwardt-Krummrich
Details
Patch (863 bytes, patch)
2011-10-12 13:18 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2011-09-29 15:28:43 CEST
Created attachment 3577 [details]
Screenshot

Direkt nach dem Login (von z.B. Administrator) stürzt policykit1-kde
zuverlässig ab.
Comment 1 Florian Best univentionstaff 2011-10-10 17:15:36 CEST
der Bug ist hier(Status: RESOLVED):
https://bugs.kde.org/show_bug.cgi?id=237450
KDE Version ist: 4.4.5
Comment 2 Florian Best univentionstaff 2011-10-11 11:58:43 CEST
das Problem existiert nicht mehr mit Version 0.102-1 von libpolkit-agent-1-0/libpolkit-backend-1-0.
Die Version ist aus debian/testing und erfordert gcc update auf 4.4.6-4:
 libc6-dev : Beschädigt: gcc-4.4 (< 4.4.6-4) aber 4.4.5-8.3.201104271833 soll installiert werden
Comment 3 Florian Best univentionstaff 2011-10-11 17:39:49 CEST
Zwischenergebnis:
https://bugs.launchpad.net/ubuntu/+source/policykit-1-gnome/+bug/760452
Die Kommentare (4 und) 5 sagen aus:
Dbus kann nicht richtig starten, weil NSCD nicht richtig gestartet ist.

Das Problem liegt nicht an policykit (Im polkit-git gibt es auch keine commits bezüglich des Problems).
Comment 4 Stefan Gohmann univentionstaff 2011-10-11 19:35:55 CEST
(In reply to comment #3)
> Zwischenergebnis:
> https://bugs.launchpad.net/ubuntu/+source/policykit-1-gnome/+bug/760452
> Die Kommentare (4 und) 5 sagen aus:
> Dbus kann nicht richtig starten, weil NSCD nicht richtig gestartet ist.
> 
> Das Problem liegt nicht an policykit (Im polkit-git gibt es auch keine commits
> bezüglich des Problems).

Tritt das Problem auch auf, wenn du LDAP anonymous Zugriff wieder aktivierst?

ucr set ldap/acl/read/anonymous="yes"
/etc/init.d/slapd restart
Comment 5 Florian Best univentionstaff 2011-10-12 08:27:49 CEST
(In reply to comment #4)
> Tritt das Problem auch auf, wenn du LDAP anonymous Zugriff wieder aktivierst?
Nein
Comment 6 Florian Best univentionstaff 2011-10-12 10:49:34 CEST
Wird PolicyKit überhaupt benötigt? und von KDE verwendet?
"PolicyKit kann Anwendungen mit Benutzerrechten starten und später mit root-Rechten versehen."
Es nimmt einem lediglich ab, ein root Passwort mehrmals einzutippen(?!) um z.B. systemeinstellungen zu ändern.
siehe http://wiki.ubuntuusers.de/Policykit 
http://hal.freedesktop.org/docs/PolicyKit/ 
http://de.wikipedia.org/wiki/PolicyKit

Den automatischen Start von PolicyKit kann durch löschen/ändern von 
/etc/xdg/autostart/polkit-kde-authentication-agent-1.desktop
deaktiviert werden.

(ein /$HOME/.kde4/autostart/polkit[...].desktop Eintrag funktioniert nicht)
Comment 7 Florian Best univentionstaff 2011-10-12 13:18:08 CEST
Created attachment 3622 [details]
Patch

Im Anhang ist noch ein Patch (ich weiß nicht genau ob der Patch den Normen entspricht (z.B. diff-Pfade): Deswegen bitte ich jemand anderen das zu überprüfen und zu commiten)

SVN-Pfad: patches/polkit-kde-1/3.0-0-0-ucs/0.95.1-2.5.2011041

(noch eine kleine Info zum Bug: https://bugs.freedesktop.org/show_bug.cgi?id=28355)
Comment 8 Alexander Kläser univentionstaff 2011-10-18 18:31:26 CEST
Die Standardprofile werden im Paket svn/dev/branches/ucs-3.0/ucs/desktop/univention-kde im Verzeichnis profiles/kde4-menu/.config/autostart/ gesetzt. Bitte dort anpassen, testen und ins SVN committen.
Comment 9 Florian Best univentionstaff 2011-10-18 19:16:11 CEST
Die Datei profiles/kde4-menu/.config/autostart/polkit-kde-authentication-agent-1.desktop wurde in das Paket univention-kde hinzugefügt. Der Autostart wird jetzt durch "Hidden=true" verhindert.

univention-kde (6.0.7-1) unstable; urgency=low
  * added polkit-kde-authentication-agent-1.desktop (Bug #23864) 
 -- Florian Best <best@univention.de>  Tue, 18 Oct 2011 18:58:19 +0200
Comment 10 Murat Odabas univentionstaff 2011-11-01 12:14:30 CET
policykit1-kde stürtzt nich mehr ab, sowohl mit Administrator als auch mit einem Benutzer.
Die Änderungen sind auch im SVN enthalten. Getestet mit Version:ucs_3.0-0-20111031154354-dvd-i386.iso
Verified
Comment 11 Florian Best univentionstaff 2011-12-09 11:37:55 CET
Das Problem ist gerade wieder bei einem Benutzeraccount aufgetreten, der nur das Standard KDE4-Menu Profil aktiviert hatte.
Der fix wurde im /univention-kde-profiles/kde4-menu Desktop Profil gemacht. Es ist sinnvoll dies (auch) in /usr/share/univention-kde-profiles/ucs-3.0 zu machen.
→ REOPENED
Comment 12 Florian Best univentionstaff 2011-12-09 11:58:04 CET
Klon erstellt Bug #25368